

import java.util.Vector;

import backgammon.game.Board;
import backgammon.game.Dice;
import backgammon.game.Move;
import backgammon.players.ArtificialPlayer;

public class AIPlayer extends ArtificialPlayer {
	
	private Vector<Vector<Move>> currentMoves;
	public Vector<Vector<Move>> getMoves(){
		return currentMoves;
	}
	
	private Vector<Move> lastMove;
	public Vector<Move> getLastMove(){
		return lastMove;
	}
	
	private Board lastBoard;
	public Board getLastBoard(){
		return lastBoard;
	}
	
	public AIPlayer(){
		AIPlayerView view = new AIPlayerView();
		this.setThinkView(view);
	}
	
	public void calculateMove(Dice dice, Board board) {
		// get all possible moves
		Vector<Vector<Move>> possibleMoves = Move.calculatePossibleMoves(dice, board, !(this.isDark()));
		
		// write your own code
		// ...
		
		// commit the moves (as vector)
		boolean done = this.moveDone(new Vector<Move>());
		// if this is false, move again (you have 10 seconds!)
	}
	
	public String getDescription() {
		// TODO: Name your AI here (with group name)
		return "Group AI";
	}

	public Object clone() {
		return new AIPlayer();
	}
}
