

import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import backgammon.game.Game;


public class Backgammon {
	private Game _game;

	public Backgammon() {
		this._game = new Game();
		this._game.addPlayer(new AIPlayer());
		this._game.start();
	}

	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} catch (InstantiationException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		} catch (UnsupportedLookAndFeelException e) {
			e.printStackTrace();
		}
		
		new Backgammon();
	}
}
